
html, body {
  margin: 0;
  height: 100%;
}
body {
  margin: 0;
}
* {
  font-family: 'Calibri', 'Fira Sans', sans-serif;
  box-sizing: border-box;
  color: #333;
  /* outline: 1px dashed red; */
}
body {
  background-color: #F4FAFF;
  margin: 0;
}
.hidden {
	display: none;
}
a {
  cursor: pointer;
  text-decoration: none;
}
a:hover {
  color: rgb(4, 150, 255);
}
button {
  cursor: pointer;
}

/* For Follow button */
.btnFollow::before {
  content: '';
  background-image: url(/icons/avatar.svg);
  background-repeat: no-repeat;
  height: cover;
  width: cover;
  padding-right: 1rem;
}

.divider {
  border: 1px solid lightgrey;
  width: 100vw;
}

/* For mixins storyIcons */
.iconLabel {
  font-size: 0.8rem;
  color: #666;
}
.storyIcon {
  width: 1rem;
  height: 1rem;
  margin: 0 0.5rem 0 0;
}
.icons {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}
.icons button {
  outline: none;
  border-width: 0px;
  background-color: transparent;
  font-size: 1rem;
}
.btnLike, .btnComment {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.likeIcon {
  background-image: url("/icons/heart.svg")
}
.likeIcon:hover {
  background-image: url("/icons/heart_red.svg")
}
.commentIcon {
  background-image: url("/icons/chat.svg")
}
.commentIcon:hover {
  background-image: url("/icons/chat.svg")
}
.bookmarkIcon {
  background-image: url("/icons/copy.svg")
}
.bookmarkIcon:hover {
  background-image: url("/icons/copy.svg")
}
.btnIconic {
  margin: 0 0.5rem;
  border-radius: 5px;
  border: 1px solid rgb(4, 150, 255);
  color: rgb(4, 150, 255);
  background-color: white;
}

/* For mixin authorBlurb */
.authorBlurb {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0 1rem;
  font-size: 0.8
}
.authorName {
  color: #666;
  font-size: 0.8rem;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  font-style: italic;
}
.authorAv {
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  object-fit: cover;
}
.authorBlurb > .btnIconic {
  display: block;
}

/* For mixin storyCardFull */
.card {
  width: 40%;
  border-radius: 5px;
  padding: 1rem 0;
	box-shadow: 0px 0px 6px 0px rgba(150,150,150,0.5);
}
.cardTitle {
  margin: 1.5rem 1rem 0;
  font-size: 2rem;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
.cardCreatedDate {
  margin: 0;
  color: #888;
  font-size: 0.7rem;
  font-style: italic;
}
p.cardCreatedDate {
  margin: 0.5rem 1rem 1rem;
}
.cardBanner {
  object-fit: cover;
  width: 100%;
  height: 14rem;
  margin: 1rem 0;
}

/* For mixin userCard */
.userCard {
  margin: 0 auto;
  padding: 1rem;
}
.userName {
  margin: 0 1rem 0.5rem;
  font-size: 1.5rem;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
.userCardAv {
  float: left;
  width: 4rem;
  height: 4rem;
  margin: 0 2rem;
  border-radius: 50%;
}

.btnBig {
  font-size: 1rem;
}
